package com.chenyang.nse.bussiness.engine.infa.basic.xmlbean;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
import javax.xml.bind.annotation.adapters.NormalizedStringAdapter;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;

@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(
   name = "",
   propOrder = {"sapfuncinstanceparam", "saptableinstanceparam"}
)
@XmlRootElement(
   name = "SAPFUNCTIONINSTANCE"
)
public class SAPFUNCTIONINSTANCE {
   @XmlAttribute(
      name = "FUNCTIONNAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String functionname;
   @XmlAttribute(
      name = "DSQINSTNAME",
      required = true
   )
   @XmlJavaTypeAdapter(NormalizedStringAdapter.class)
   protected String dsqinstname;
   @XmlElement(
      name = "SAPFUNCINSTANCEPARAM"
   )
   protected List<SAPFUNCINSTANCEPARAM> sapfuncinstanceparam;
   @XmlElement(
      name = "SAPTABLEINSTANCEPARAM"
   )
   protected List<SAPTABLEINSTANCEPARAM> saptableinstanceparam;

   public String getFUNCTIONNAME() {
      return this.functionname;
   }

   public void setFUNCTIONNAME(String value) {
      this.functionname = value;
   }

   public String getDSQINSTNAME() {
      return this.dsqinstname;
   }

   public void setDSQINSTNAME(String value) {
      this.dsqinstname = value;
   }

   public List<SAPFUNCINSTANCEPARAM> getSAPFUNCINSTANCEPARAM() {
      if (this.sapfuncinstanceparam == null) {
         this.sapfuncinstanceparam = new ArrayList();
      }

      return this.sapfuncinstanceparam;
   }

   public List<SAPTABLEINSTANCEPARAM> getSAPTABLEINSTANCEPARAM() {
      if (this.saptableinstanceparam == null) {
         this.saptableinstanceparam = new ArrayList();
      }

      return this.saptableinstanceparam;
   }
}
